# `#include <soi>`

Include soi and you're ready to go!

## Features

- includes all headers (a `bits/stdc++.h` that works on all platforms)
- has a powerful `dbg()` macro
- disables output buffering
- checks whether all input has been read
- removes evil functions from the standard library such as new and printf.

## Configuration

You can set the following environment variables to customize the behaviour.

`SOI_COLOR`: By default, colored output is shown in case a terminal is connected.
You can force colors with `SOI_COLOR=1` and shut them off with `SOI_COLOR=0`.

`SOI_EOFCHECK`: By default, it is *not* checked, whether you have read all the
input.  In case you pipe the input from a file or want to issue a proper EOF
character (Control D under linux or Control Z under Windows), you can enable
this check using `SOI_EOFCHECK=1`.

## Template
Using this header is as simple as:

```
#include <soi>

signed main() {
  // your code goes here
}
```

It requires at least c++11 to function.
